---- runtime Events ----
function OnTrainStateChanged(event)
  local train = event.train
  if train.state == defines.train_state.arrive_signal or train.state == defines.train_state.wait_signal then
    train.recalculate_path(true)
  end
end


do---- Init ----

local function init_events()
	script.on_event(defines.events.on_train_changed_state, OnTrainStateChanged)
end

script.on_load(function()
  init_events()
end)

script.on_init(function()
  init_events()
end)

script.on_configuration_changed(function(data)
	init_events()
end)

end